<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">
    <head>
        <title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE"></title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <!-- Bootstrap CSS dan js -->
            
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" 
            rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" 
                crossorigin="anonymous">
                     
         <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js" 
            integrity="sha384-geWF76RCwLtnZ8qwWowPQNguL3RmwHVBC9FhGdlKrxdiJJigb/j/68SIy3Te4Bkz" 
            crossorigin="anonymous">
        </script>
        
        <link rel="stylesheet" href="/styles.css"/>
        
    </head>
    <body>
       <div class="container">
        <header class="d-flex justify-content-center py-3">
          <ul class="nav nav-pills">
              
                <ul class="nav nav-pills nav-fill gap-2 p-1 small bg-primary rounded-5 shadow-sm" id="pillNav2" role="tablist" style="--bs-nav-link-color: var(--bs-white); --bs-nav-pills-link-active-color: var(--bs-primary); --bs-nav-pills-link-active-bg: var(--bs-white);">
                    <li class="nav-item" role="presentation"><a th:href="@{/}">
                            <button class="nav-link active rounded-5" id="home-tab2" data-bs-toggle="tab" type="button" role="tab" aria-selected="true">Home</button></a>
                    </li>
                    <li class="nav-item" role="presentation" sec:authorize="isAnonymous()"><a th:href="@{/register}">
                        <button class="nav-link rounded-5"id="Register-tab2" data-bs-toggle="tab" type="button" role="tab" aria-selected="true">Register</button></a>
                    </li>
                    <li class="nav-item" role="presentation" sec:authorize="isAnonymous()"><a th:href="@{/login}">
                            <button class="nav-link rounded-5" id="Login-tab2" data-bs-toggle="tab" type="button" role="tab" aria-selected="true">Login</button></a>
                    </li>
                    <li class="nav-item" role="presentation" sec:authorize="hasRole('ADMIN')"><a th:href="@{/admin/students}">
                        <button class="nav-link rounded-5"id="-tab2" data-bs-toggle="tab" type="button" role="tab" aria-selected="true">Daftar Lookstiser</button></a>
                    </li>
                    <li class="nav-item" role="presentation" sec:authorize="hasRole('USER')"><a th:href="@{/studentsUser}">
                            <button class="nav-link rounded-5" id="-tab2" data-bs-toggle="tab" type="button" role="tab" aria-selected="true">Lookstiser</button></a>
                    </li>
                    <li class="nav-item" role="presentation" sec:authorize="hasRole('ADMIN')"><a onclick="alert(`Anda akan Menambah Lookstiser`)" th:href="@{/admin/students/add}">
                        <button class="nav-link rounded-5"id="-tab2" data-bs-toggle="tab" type="button" role="tab" aria-selected="true">Create Lookstiser</button></a>
                    </li>
                    <li class="nav-item" role="presentation" sec:authorize="hasRole('ADMIN')"><a th:href="@{/users}">
                            <button class="nav-link rounded-5" id="-tab2" data-bs-toggle="tab" type="button" role="tab" aria-selected="true">Daftar Users</button></a>
                    </li>
                    <li class="nav-item" role="presentation" sec:authorize="hasRole('ADMIN')"><a th:href="@{/admin/notes}">
                        <button class="nav-link rounded-5"id="Note-tab2" data-bs-toggle="tab" type="button" role="tab" aria-selected="true">Note</button></a>
                    </li>
                    <li class="nav-item" role="presentation" sec:authorize="hasRole('USER')"><a th:href="@{/notesUser}">
                            <button class="nav-link rounded-5" id="NoteUser-tab2" data-bs-toggle="tab" type="button" role="tab" aria-selected="true">Note</button></a>
                    </li>
                    <li class="nav-item" role="presentation" sec:authorize="hasRole('ADMIN')"><a onclick="alert(`Anda akan menambah Note`)" th:href="@{/admin/notes/add}">
                            <button class="nav-link rounded-5" id="AddNote-tab2" data-bs-toggle="tab" type="button" role="tab" aria-selected="true">Add Note</button></a>
                    </li>
                    <li class="nav-item" role="presentation" sec:authorize="isAuthenticated()"><a th:href="@{/email}">
                            <button class="nav-link rounded-5" id="email-tab2" data-bs-toggle="tab" type="button" role="tab" aria-selected="true">Kirim Email</button></a>
                    </li>
                    <li class="nav-item" role="presentation" sec:authorize="isAuthenticated()"><a onclick="alert(`Anda akan Keluar`)" th:href="@{/logout}">
                            <button class="nav-link rounded-5" id="Logout-tab2" data-bs-toggle="tab" type="button" role="tab" aria-selected="true">Logout</button></a>
                    </li>
        </header>
      </div> 
        <!-- Content Section -->
        <div layout:fragment="content">
            <p>Body contents</p>
        </div>        
        <!-- Footer -->
        
        <footer class="container py-5">
        <div class="row">
            <div class="col-md-6 offset-md-3">
                <div class="card">
                    <div class="card-footer">
                        <div class="text-center">
                            <p style="display: inline-block; margin: 0 auto;">&copy; 2023 Dina Yanti (LOOKSTISER). All rights reserved.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </footer>
        <!-- Optional Section -->
        <th:block layout:fragment="optional" />  
        
  </body>  
</html>
